Skip to main content
WQ3

API

WQ3 API

A REST API to create documents, add signers, send for signature and download signed copies.

How it works

  1. 01

    Your system creates a document.

  2. 02

    WQ3 sends it to signers in order.

  3. 03

    Signers sign.

  4. 04

    Your system receives the signed copy.

Example request

An illustrative request that sends a document to two signers in order.

Illustrative only. Full reference is shared with API customers.

POST /v1/documents
Authorization: Bearer <API_KEY>
Content-Type: application/json

{
  "template_id": "tpl_employment_contract",
  "signing_order": true,
  "signers": [
    { "name": "Line manager", "email": "manager@example.com" },
    { "name": "Employee", "email": "employee@example.com" }
  ]
}

Related

Plan your integration with us.

Tell us what you want to build and we'll share API access details.